;******************************************************************************
;                       file: IPServicesLib.inc
;******************************************************************************
;
;   IP Services library definition
;
;---------------------- MODIFICATION HISTORY LIST ----------------------------- 
;Rev: 1     2008/03/25      TT.Huynh/530
;Initial version.
;------------------------------------------------------------------------------
;
;
$group S
$group IPS
  Library                    EQU         9
  
  SendMailSimple             EQU         0
  SendMailSimple_nParams     EQU         9
  
  
  SendMail                   EQU         1
  SendMail_nParams           EQU        14
  
  $group Format
    PLAIN                    EQU         0
    HTML                     EQU         1
  $endgroup
  
  Unused                     EQU        -1
  
$endgroup

$group PPP
  Library                    EQU        12
  
  Start                      EQU         0
  Start_nParams              EQU         1

  Stop                       EQU         1
  Stop_nParams               EQU         1

  Status                     EQU         2
  Status_nParams             EQU         4

  SetParam                   EQU         3
  SetParam_nParams           EQU         3

  GetParam                   EQU         4
  GetParam_nParams           EQU         3

  $group RetCode
    NO_ERROR                 EQU         0
    NO_PPP_DEVICE_FOUND      EQU      -200
    DEVICE_IN_USE            EQU      -199
    DEVICE_DISABLED          EQU      -198
    DEVICE_NOT_STARTED       EQU      -197
    INVALID_PARAMETER_TYPE   EQU      -196
    INVALID_PARAMETER_VALUE  EQU      -195
    SCRIPT_TABLE_FULL        EQU      -194
    SCRIPT_LINE_ERROR        EQU      -193
  $endgroup

  $group ParamID
    PPPEnable                EQU         0
    PPPDefaultRoute          EQU         1
    PPPPeerAuth              EQU         2
    PPPRestart               EQU         3
    SerialPort               EQU        10
    Baudrate                 EQU        11
    PPPMode                  EQU        12
    LocalAddress             EQU        22
    RemoteAddress            EQU        23
    CurLocalAddress          EQU        24
    CurRemoteAddress         EQU        25
    RemoteAuthUsername       EQU        26
    RemoteAuthPasswd         EQU        27
    UseDefaultScript         EQU        33
    UseModem                 EQU        34
    MSLa                     EQU        37
    MSLb                     EQU        38
    MSLc                     EQU        39
    MSLd                     EQU        40
    MSLe                     EQU        41
    MSLf                     EQU        42
    MSLg                     EQU        43
    MSLh                     EQU        44
    MSLi                     EQU        45
    MSLj                     EQU        46
  $endgroup

  $group PortID
    PORT_0                   EQU         0
    PORT_1                   EQU         1
    PORT_2                   EQU         2
    PORT_3                   EQU         3
    PORT_100                 EQU       100
    PORT_101                 EQU       101
    PORT_110                 EQU       110
    PORT_111                 EQU       111
    PORT_120                 EQU       120
    PORT_121                 EQU       121
    PORT_130                 EQU       130
    PORT_131                 EQU       131
  $endgroup
  
  $group CNType
    SERVER_TYPE              EQU         1
    CLIENT_TYPE              EQU         2
  $endgroup
  
  $group PPPState
    STATE_NO_DEVICE          EQU         0
    STATE_IDLE               EQU         1
    STATE_SCRIPTING          EQU         2
    STATE_STARTING           EQU         3
    STATE_STARTED            EQU         4
  $endgroup

  $group LNKValue
    LINK_STATE_UNKNOWN       EQU         0
    LINK_DOWN                EQU         1
    LINK_LINKED              EQU         2
    LINK_NETWORK             EQU         3
    LINK_AUTH                EQU         4
    LINK_TERMINATED          EQU         5
    LINK_ESTABLISHED         EQU         6
  $endgroup

  $group PPPEvt
    EVT_UNKOWN               EQU         0
    EVT_LCP_START            EQU         1
    EVT_LCP_SUCCESS          EQU         2
    EVT_AUTH_SUCCESS         EQU         3
    EVT_LCP_FAIL             EQU         4
    EVT_CLOSE                EQU         5
    EVT_LINK_TERMINATE       EQU         6
    EVT_IPCP_STARTS          EQU         7
    EVT_IPCP_CONFIGURED      EQU         8
    EVT_IPCP_DOWN            EQU         9
    EVT_AUTH_PAP             EQU        10
    EVT_AUTH_CHAP            EQU        11
    EVT_AUTH_MSCHAP          EQU        12
  $endgroup
  
$endgroup

$endgroup
